<template>
    <div class="grid">
        <div class="dropdown">
            <li id="texto" tabindex="0" >Exportar Alumnos</li>
            <ul id="contenedorOpciones" tabindex="0" class="dropdown-content menu p-2 shadow bg-base-100 rounded-box w-52">
                <li><a @click="generarPDFcurso()">PDF</a></li>
                <li><a @click="generarExcelCurso()">XLSX</a></li>
            </ul>
        </div>
    </div>
</template>

<script>
 import axios from 'axios';

 export default {
    data(){
        return{
            curso: this.$route.params.id
        }
    },
    methods: {
        async generarPDFcurso(){
            console.log("Haciendo peticion.. id curso:"+ this.curso);
            const url = `/reporte/cursos_pdf/`+this.curso;
            
            axios({
                url:url,
                method:'GET',
                responseType:'blob',
            }).then((res)=>{
                var FILE = window.URL.createObjectURL(res.data);

                var docUrl = document.createElement('a');
                docUrl.href = FILE;
                docUrl.setAttribute('download','file.pdf');
                document.body.appendChild(docUrl);
                docUrl.click();
                
                document.body.removeChild(docUrl);
                URL.revokeObjectURL(FILE);
            });


        },

        async generarExcelCurso(){
            const url = `/reporte/curso_excel/`+this.curso;
            console.log("Haciendo peticion..");
            
            axios({
                url:url,
                method:'GET',
                responseType:'blob',
            }).then((res)=>{
                var FILE = window.URL.createObjectURL(res.data);

                var docUrl = document.createElement('a');
                docUrl.href = FILE;
                docUrl.setAttribute('download','file.xlsx');
                document.body.appendChild(docUrl);
                docUrl.click();
                
                document.body.removeChild(docUrl);
                URL.revokeObjectURL(FILE);
            });
        
        
        }


        }
    }   

</script>

<style scoped>
    #contenedorOpciones{
        margin-top: 10px;
    }
    #texto{
        text-align: left;
    }
</style>